/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/support/apache2"
#define DEFAULT_EXP_EXEC_PREFIX "/support/apache2"
#define DEFAULT_REL_EXEC_PREFIX ""
#define DEFAULT_EXP_BINDIR "/applications"
#define DEFAULT_REL_BINDIR "/applications"
#define DEFAULT_EXP_SBINDIR "/applications"
#define DEFAULT_REL_SBINDIR "/applications"
#define DEFAULT_EXP_LIBEXECDIR "/applications/internal"
#define DEFAULT_REL_LIBEXECDIR "/applications/internal"
#define DEFAULT_EXP_MANDIR "/doc/man"
#define DEFAULT_REL_MANDIR "/doc/man"
#define DEFAULT_EXP_SYSCONFDIR "/config"
#define DEFAULT_REL_SYSCONFDIR "/config"
#define DEFAULT_EXP_DATADIR "/support/apache2/support/apache2/share"
#define DEFAULT_REL_DATADIR "support/apache2/share"
#define DEFAULT_EXP_INSTALLBUILDDIR "/support/apache2/config/apache2/build"
#define DEFAULT_REL_INSTALLBUILDDIR "config/apache2/build"
#define DEFAULT_EXP_ERRORDIR "/support/apache2/support/apache2/share/error"
#define DEFAULT_REL_ERRORDIR "support/apache2/share/error"
#define DEFAULT_EXP_ICONSDIR "/support/apache2/support/apache2/share/icons"
#define DEFAULT_REL_ICONSDIR "support/apache2/share/icons"
#define DEFAULT_EXP_HTDOCSDIR "/support/apache2/www"
#define DEFAULT_REL_HTDOCSDIR "www"
#define DEFAULT_EXP_MANUALDIR "/support/apache2/www/manual"
#define DEFAULT_REL_MANUALDIR "www/manual"
#define DEFAULT_EXP_CGIDIR "/support/apache2/www/cgi-bin"
#define DEFAULT_REL_CGIDIR "www/cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/include"
#define DEFAULT_REL_INCLUDEDIR "/include"
#define DEFAULT_EXP_LOCALSTATEDIR "/support/apache2/support/apache2/runtime"
#define DEFAULT_REL_LOCALSTATEDIR "support/apache2/runtime"
#define DEFAULT_EXP_RUNTIMEDIR "/support/apache2/support/apache2/runtime"
#define DEFAULT_REL_RUNTIMEDIR "support/apache2/runtime"
#define DEFAULT_EXP_LOGFILEDIR "/support/apache2/support/apache2/logs"
#define DEFAULT_REL_LOGFILEDIR "support/apache2/logs"
#define DEFAULT_EXP_PROXYCACHEDIR "/support/apache2/support/apache2/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "support/apache2/proxy"

#endif /* AP_CONFIG_LAYOUT_H */
